aboutsummaryrefslogtreecommitdiffstats
path: root/community/the_silver_searcher/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/the_silver_searcher/APKBUILD')
-rw-r--r--community/the_silver_searcher/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/community/the_silver_searcher/APKBUILD b/community/the_silver_searcher/APKBUILD
new file mode 100644
index 0000000000..48439b494b
--- /dev/null
+++ b/community/the_silver_searcher/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=the_silver_searcher
+pkgver=2.2.0
+pkgrel=0
+pkgdesc="A code searching tool similar to ack, with a focus on speed."
+options="!check" # No testsuite
+url="https://geoff.greer.fm/ag/"
+arch="all"
+license="Apache-2.0"
+makedepends="pcre-dev xz-dev zlib-dev"
+subpackages="$pkgname-doc
+ $pkgname-zsh-completion:zshcomp:noarch
+ $pkgname-bash-completion:bashcomp:noarch"
+source="https://geoff.greer.fm/ag/releases/the_silver_searcher-$pkgver.tar.gz"
+
+build() {
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var
+ make
+}
+
+package() {
+ make DESTDIR="$pkgdir" install
+}
+
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+ mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
+ mv "$pkgdir"/usr/share/the_silver_searcher/completions/ag.bashcomp.sh \
+ "$subpkgdir"/usr/share/bash-completion/completions/ag
+
+ rmdir -p "$pkgdir"/usr/share/the_silver_searcher/completions/ 2>&1 || true
+}
+
+zshcomp() {
+ depends=""
+ pkgdesc="Zsh completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel zsh"
+
+ mkdir -p "$subpkgdir"/usr/share/zsh/site-functions/
+ mv "$pkgdir"/usr/share/zsh/site-functions/_the_silver_searcher \
+ "$subpkgdir"/usr/share/zsh/site-functions/
+
+ rmdir -p "$pkgdir"/usr/share/zsh/site-functions/ 2>&1 || true
+}
+
+sha512sums="89d4e4f7f34c0d57aa880e7c3466f0373b961744a89ad30541e89e2d614322ab46c8044ec458406a117f74b0fea14cd3063fa4e0624a96526aa23eaccd6f1141 the_silver_searcher-2.2.0.tar.gz"